# @lfk/scripts
Some fun little scripts to automate tasks regarding the LfK Läufersystem.

## Setup 🛠️
```bash
pnpm i
```

## Scrips
> All of the current scripts - explained

### Shared
#### Login
* Description: Authenticates the user against the backend while setting the OPENAPI objects properties
* Use-case: Used in all other scripts to reduce code duplication
* Config: Set the env vars
* Run: `node ./src/shared/login.js`
### Scans
#### Create fixed scans for group
* Description: Creates distance scans for all runners of a team or org
* Use-case: Schools that get their walk to the event location added to their total distance
* Config: Just set the org id or team id in the first lines of the script
* Run: `node ./src/scans/createFixedScansForGroup.js`